Package org.apache.sysds.runtime.frame.data.lib

## Interface MatrixBlockFromFrame

    public interface MatrixBlockFromFrame

### Field Summary

Fields
`static int` `blocksizeIJ`
`static org.apache.commons.logging.Log` `LOG`

### Method Summary

Static Methods
`static MatrixBlock` `convertToMatrixBlock​(FrameBlock frame, int k)` Converts a frame block with arbitrary schema into a matrix block.

### Field Detail

#### LOG

    static final org.apache.commons.logging.Log LOG

#### blocksizeIJ

    static final int blocksizeIJ

See Also:
  Constant Field Values

### Method Detail

#### convertToMatrixBlock

    static MatrixBlock convertToMatrixBlock​(FrameBlock frame,
                                            int k)

Converts a frame block with arbitrary schema into a matrix block. Since matrix block only supports value type double, we do a best effort conversion of non-double types which might result in errors for non-numerical data.

Parameters:
  `frame` - frame block
  `k` - parallelization degree
Returns:
  matrix block